Package org.jbpm.process.audit

## Class NodeInstanceLog

- java.lang.Object
- - org.jbpm.process.audit.NodeInstanceLog

- All Implemented Interfaces:
    `Serializable`, `AuditEvent`, `org.kie.api.runtime.manager.audit.NodeInstanceLog`

      @Entity
      public class NodeInstanceLog
      extends Object
      implements Serializable, AuditEvent, org.kie.api.runtime.manager.audit.NodeInstanceLog

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface org.kie.api.runtime.manager.audit.NodeInstanceLog

      `TYPE_ABORTED, TYPE_ASYNC_ENTER, TYPE_ENTER, TYPE_ERROR, TYPE_EXIT, TYPE_OBSOLETE, TYPE_SKIPPED`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NodeInstanceLog()` |
    `NodeInstanceLog​(int type, long processInstanceId, String processId, String nodeInstanceId, String nodeId, String nodeName)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `String` | `getConnection()` |
    `Date` | `getDate()` |
    `String` | `getExternalId()` |
    `long` | `getId()` |
    `String` | `getNodeContainerId()` |
    `String` | `getNodeId()` |
    `String` | `getNodeInstanceId()` |
    `String` | `getNodeName()` |
    `String` | `getNodeType()` |
    `String` | `getObservation()` |
    `String` | `getProcessId()` |
    `Long` | `getProcessInstanceId()` |
    `Long` | `getReferenceId()` |
    `Integer` | `getSlaCompliance()` |
    `Date` | `getSlaDueDate()` |
    `Integer` | `getType()` |
    `Long` | `getWorkItemId()` |
    `int` | `hashCode()` |
    `void` | `setConnection​(String connection)` |
    `void` | `setDate​(Date date)` |
    `void` | `setExternalId​(String domainId)` |
    `void` | `setId​(long id)` |
    `void` | `setNodeContainerId​(String nodeContainerId)` |
    `void` | `setNodeId​(String nodeId)` |
    `void` | `setNodeInstanceId​(String nodeInstanceId)` |
    `void` | `setNodeName​(String nodeName)` |
    `void` | `setNodeType​(String nodeType)` |
    `void` | `setObservation​(String observation)` |
    `void` | `setProcessId​(String processId)` |
    `void` | `setProcessInstanceId​(long processInstanceId)` |
    `void` | `setReferenceId​(Long referenceId)` |
    `void` | `setSlaCompliance​(Integer slaCompliance)` |
    `void` | `setSlaDueDate​(Date slaDueDate)` |
    `void` | `setType​(int type)` |
    `void` | `setWorkItemId​(Long workItemId)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NodeInstanceLog

          public NodeInstanceLog()

    - #### NodeInstanceLog

          public NodeInstanceLog​(int type,
                                 long processInstanceId,
                                 String processId,
                                 String nodeInstanceId,
                                 String nodeId,
                                 String nodeName)

  - ### Method Detail

    - #### getType

          public Integer getType()

      Specified by:
        `getType` in interface `org.kie.api.runtime.manager.audit.NodeInstanceLog`

    - #### setType

          public void setType​(int type)

    - #### getId

          public long getId()

    - #### setId

          public void setId​(long id)

    - #### getProcessInstanceId

          public Long getProcessInstanceId()

      Specified by:
        `getProcessInstanceId` in interface `AuditEvent`
      Specified by:
        `getProcessInstanceId` in interface `org.kie.api.runtime.manager.audit.NodeInstanceLog`

    - #### setProcessInstanceId

          public void setProcessInstanceId​(long processInstanceId)

    - #### getProcessId

          public String getProcessId()

      Specified by:
        `getProcessId` in interface `AuditEvent`
      Specified by:
        `getProcessId` in interface `org.kie.api.runtime.manager.audit.NodeInstanceLog`

    - #### setProcessId

          public void setProcessId​(String processId)

    - #### getNodeInstanceId

          public String getNodeInstanceId()

      Specified by:
        `getNodeInstanceId` in interface `org.kie.api.runtime.manager.audit.NodeInstanceLog`

    - #### setNodeInstanceId

          public void setNodeInstanceId​(String nodeInstanceId)

    - #### getNodeId

          public String getNodeId()

      Specified by:
        `getNodeId` in interface `org.kie.api.runtime.manager.audit.NodeInstanceLog`

    - #### setNodeId

          public void setNodeId​(String nodeId)

    - #### getNodeName

          public String getNodeName()

      Specified by:
        `getNodeName` in interface `org.kie.api.runtime.manager.audit.NodeInstanceLog`

    - #### setNodeName

          public void setNodeName​(String nodeName)

    - #### getDate

          public Date getDate()

      Specified by:
        `getDate` in interface `org.kie.api.runtime.manager.audit.NodeInstanceLog`

    - #### setDate

          public void setDate​(Date date)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals​(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### getWorkItemId

          public Long getWorkItemId()

      Specified by:
        `getWorkItemId` in interface `org.kie.api.runtime.manager.audit.NodeInstanceLog`

    - #### setWorkItemId

          public void setWorkItemId​(Long workItemId)

    - #### getConnection

          public String getConnection()

      Specified by:
        `getConnection` in interface `org.kie.api.runtime.manager.audit.NodeInstanceLog`

    - #### setConnection

          public void setConnection​(String connection)

    - #### getExternalId

          public String getExternalId()

      Specified by:
        `getExternalId` in interface `AuditEvent`
      Specified by:
        `getExternalId` in interface `org.kie.api.runtime.manager.audit.NodeInstanceLog`

    - #### setExternalId

          public void setExternalId​(String domainId)

    - #### getNodeType

          public String getNodeType()

      Specified by:
        `getNodeType` in interface `org.kie.api.runtime.manager.audit.NodeInstanceLog`

    - #### setNodeType

          public void setNodeType​(String nodeType)

    - #### getReferenceId

          public Long getReferenceId()

    - #### setReferenceId

          public void setReferenceId​(Long referenceId)

    - #### getNodeContainerId

          public String getNodeContainerId()

    - #### setNodeContainerId

          public void setNodeContainerId​(String nodeContainerId)

    - #### getSlaDueDate

          public Date getSlaDueDate()

    - #### setSlaDueDate

          public void setSlaDueDate​(Date slaDueDate)

    - #### getSlaCompliance

          public Integer getSlaCompliance()

    - #### setSlaCompliance

          public void setSlaCompliance​(Integer slaCompliance)

    - #### getObservation

          public String getObservation()

    - #### setObservation

          public void setObservation​(String observation)